nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | List of all members
nx::sdk::ActionResponse Class Reference
Inheritance diagram for nx::sdk::ActionResponse:

## Public Member Functions
void | setActionUrl (std::string value)
void | setMessageToUser (std::string value)
void | setUseProxy (bool value)
void | setUseDeviceCredentials (bool value)
virtual const char * | actionUrl () const override
virtual const char * | messageToUser () const override
virtual bool | useProxy () const override
virtual bool | useDeviceCredentials () const override
Public Member Functions inherited from nx::sdk::RefCountable< IActionResponse >
| RefCountable (const RefCountable &)=delete
| RefCountable (RefCountable &&)=delete
RefCountable & | operator= (const RefCountable &)=delete
RefCountable & | operator= (RefCountable &&)=delete
virtual int | addRef () const override
virtual int | releaseRef () const override
int | refCount () const
Public Member Functions inherited from nx::sdk::Interface< IActionResponse, IActionResponse0 >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const
Public Member Functions inherited from nx::sdk::Interface< IActionResponse0 >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const
Public Member Functions inherited from nx::sdk::IRefCountable
virtual | ~IRefCountable ()=default
template<class Interface >
Ptr< Interface > | queryInterface ()
template<class Interface >
Ptr< const Interface > | queryInterface () const
int | refCountThreadUnsafe () const

## Additional Inherited Members
Static Public Member Functions inherited from nx::sdk::IActionResponse
static auto | interfaceId ()
Static Public Member Functions inherited from nx::sdk::IActionResponse0
static auto | interfaceId ()
Static Public Member Functions inherited from nx::sdk::IRefCountable
static auto | interfaceId ()
Protected Member Functions inherited from nx::sdk::Interface< IActionResponse, IActionResponse0 >
virtual IRefCountable * | queryInterface (const IRefCountable::InterfaceId *id) override
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)
Protected Member Functions inherited from nx::sdk::Interface< IActionResponse0 >
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)
Static Protected Member Functions inherited from nx::sdk::IRefCountable
template<int len>
static const InterfaceId * | makeId (const char(&charArray)[len])
template<int len, int alternativeLen>
static std::vector< const InterfaceId * > | makeIdWithAlternative (const char(&charArray)[len], const char(&alternativeCharArray)[alternativeLen])
template<class TemplateInstance , class TemplateArg , int len>
static const InterfaceId * | makeIdForTemplate (const char(&baseIdCharArray)[len])
static std::vector< const InterfaceId * > | alternativeInterfaceIds (const InterfaceId *id)
static std::vector< const InterfaceId * > | alternativeInterfaceIds (std::vector< const InterfaceId *> ids)

## Member Function Documentation

## ◆ actionUrl()

const char * nx::sdk::ActionResponse::actionUrl | ( |  | ) | const
| overridevirtual

Returns
  URL to be opened by the Client in an embedded browser, or a null or empty string. If non-empty, messageToUser() must return a null or empty string.

Implements nx::sdk::IActionResponse0.

## ◆ messageToUser()

const char * nx::sdk::ActionResponse::messageToUser | ( |  | ) | const
| overridevirtual

Returns
  Text to be shown to the user by the Client, or a null or empty string. If non-empty, actionUrl() must return a null or empty string.

Implements nx::sdk::IActionResponse0.

## ◆ setActionUrl()

void nx::sdk::ActionResponse::setActionUrl | ( | std::string | value | ) |

Additionally, makes messageToUser() return an empty string.

## ◆ setMessageToUser()

void nx::sdk::ActionResponse::setMessageToUser | ( | std::string | value | ) |

Additionally, makes actionUrl() return an empty string.

## ◆ setUseDeviceCredentials()

void nx::sdk::ActionResponse::setUseDeviceCredentials | ( | bool | value | ) |

Sets useDeviceCredentials flag.

## ◆ setUseProxy()

void nx::sdk::ActionResponse::setUseProxy | ( | bool | value | ) |

Sets useProxy flag.

## ◆ useDeviceCredentials()

bool nx::sdk::ActionResponse::useDeviceCredentials | ( |  | ) | const
| overridevirtual

Returns
  Whether device authentication should be used for actionUrl().

Implements nx::sdk::IActionResponse.

## ◆ useProxy()

bool nx::sdk::ActionResponse::useProxy | ( |  | ) | const
| overridevirtual

Returns
  Whether proxying through the connected server should be used for actionUrl().

Implements nx::sdk::IActionResponse.

The documentation for this class was generated from the following files:

- src/nx/sdk/helpers/action_response.h
- src/nx/sdk/helpers/action_response.cpp